/ api / name / gb.array.new
GB.Array.New
Syntax

    void GB.Array.New ( GB_ARRAY *array , GB_TYPE type , long size )

Creates a new Gambas array object.

- array will receive a reference to the array object.
- type is the type of the new array.
- size is the initial length of the array.

The array object has an initial reference count of zero. So you must reference it if you don't return it immediately with GB.ReturnObject.

| This function has nothing to do with `GB.NewArray` that creates arrays that are not Gambas objects.

### See also

Array Objects Management